Subject: bug#32169: 27.0.50; Wishlist: cleanup of thread-last-error

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Jul 2018 21:03:20 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 16 Jul 2018 17:55:31 +0200
> 
> >> > How about having thread-last-error clear the error as a side effect,
> >> > perhaps when called with an optional argument?
> >
> > Should be easy to do, I think.
> 
> [...]
> 
> > I was certain we had on master a function ti return the main thread,
> > but I guess I was dreaming.  We could easily add it, though.
> 
> Do you want to do it, or shall I? I know, you are overloaded ...

Feel free.

> master or emacs-26 branch? I believe threads are not used widely, so we
> won't break any code with Emacs 26.

That's true, but then no one really waits for those new features, so
maybe master after all.

> > In any case, I think it could be a good idea to describe this
> > technique in the ELisp manual.
> 
> Will do, once the changes above have arrived.
> 
> >> PS: Maybe I shall push this to a git branch, giving people a chance for
> >> early tests. `find-file-noselect' survives already in simple cases, w/o
> >> an Emacs crash.
> >
> > SGTM, thanks.
> 
> Later this week. Tomorrow, or on Wednesday, I'll be busy with merging
> shadowfile.el.

Thanks.